[profile.default]
src = "src"
out = "out"
libs = ["lib"]
solc = "0.8.20"
optimizer = true
optimizer_runs = 200
evm_version = "shanghai"
via_ir = true
ffi = false
fuzz = { runs = 256, max_test_rejects = 65536 }

[profile.default.fmt]
line_length = 120
tab_width = 4
bracket_spacing = true

[rpc_endpoints]
local = "http://127.0.0.1:8545"
genex_testnet = "https://testnet-rpc.gogenex.com"
genex_mainnet = "https://rpc.gogenex.com"

[etherscan]
genex = { key = "${GENEX_EXPLORER_KEY}", chain = 8888 }
